编译内核错误

为当前最终发行版之前的所有版本提供支持
回复
shujip
帖子: 1
注册时间: 2006-05-15 20:38
送出感谢: 0
接收感谢: 0

编译内核错误

#1

帖子 shujip » 2006-05-15 20:45

编译内核后安装,都很顺利
重启后,从grub进入:
之后就是一连串的not found
...
modprobe: cannot load /lib/modules/..../medules.dep...file or directory not found
...
而这个文件确实是存在的,这样的错误,一般是什么样的问题.望高手指点.

我的 menu.lst:
122 title Ubuntu, kernel 2.6.16
123 root (hd0,2)
124 kernel /boot/vmlinuz-2.6.16 root=/dev/hda3 ro quiet splash
125 initrd /boot/initrd.img-2.6.16
126 savedefault
127 boot
hitler0958
帖子: 24
注册时间: 2007-03-14 9:17
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 hitler0958 » 2007-04-05 9:22

你试一下把root(hd0,2)删除
然后把124 kernel /boot/vmlinuz-2.6.16 root=/dev/hda3 ro quiet splash这一行中hda3改成hda2,不行的话改hda1,看看行不行
头像
fallleaf
帖子: 694
注册时间: 2006-12-29 20:13
送出感谢: 0
接收感谢: 0

#3

帖子 fallleaf » 2007-04-05 17:28

ls说的对,编译内核、升级内核后grub是会被修改的,改回来就行了。
在学习linux的道路上自在而行。
回复

回到 “老旧版本支持”